@import url("./jagsness_style.css");
@import url("./header.css");
@import url("./popup.css");
@import url("./footer.css");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: var(--ff_nunito);
}

:root {
  --clr_DC2626: #dc2626;
  --clr_101625: #101625;
  --clr_000000: #000000;
  --clr_9CA3AF: #9ca3af;
  --clr_333333: #333333;
  --clr_D1D5DB: #d1d5db;
  --clr_ffffff: #ffffff;
  --clr_334155: #334155;
  --clr_1f1f1f: #1f1f1f;
  --clr_2F2F2F: #2f2f2f;
  --ff_bebas: "Bebas Neue";
  --ff_nunito: "Nunito";
}

:is(h1, h2, h3, h4, h5, h6, p, figure, img, span, a, ul) {
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
a,
button {
  font-family: var(--ff_bebas);
  font-weight: normal !important;
}

/* html,
body {
  font-size: 62.5%;
} */
body,
.post,
.page {
  margin: 0;
}

html::-webkit-scrollbar {
  width: 6px;
  background-color: var(--clr_000000);
}

html::-webkit-scrollbar-thumb {
  border-radius: 6px;
  background-image: -webkit-gradient(
    linear,
    left bottom,
    left top,
    color-stop(0.44, var(--clr_DC2626)),
    color-stop(0.72, var(--clr_DC2626)),
    color-stop(0.86, var(--clr_DC2626))
  );
}

html::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: var(--clr_000000);
  border-radius: 6px;
}

body {
  min-height: 100vh;
}

img {
  max-width: 100%;
  vertical-align: middle;
}

ul {
  margin: 0;
  padding: 0;
}

li {
  list-style: none;
}

span,
a {
  display: inline-block;
}

#wpadminbar span {
  display: inline;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  vertical-align: middle;
}

body {
  position: relative;
  background-color: var(--clr_000000);

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #192745;
    background: radial-gradient(
      circle,
      rgba(25, 39, 69, 0.75) 0%,
      rgba(0, 0, 0, 1) 100%,
      rgba(25, 39, 69, 0.75) 58%
    );
    /* background: radial-gradient(
      circle,
      rgba(255, 255, 255, 0.2) 0%,
      rgba(0, 0, 0, 1) 100%,
      rgba(255, 255, 255, 0.2) 58%
    ); */
    background-size: 180% 180%;
    animation: gradient-animation 5s ease infinite;
    background-attachment: fixed;
    z-index: -1;
  }
}

@keyframes gradient-animation {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 100%;
  }

  100% {
    background-position: 0% 50%;
  }
}

p {
  font-size: 16px;
  color: var(--clr_D1D5DB);
  line-height: 1.7;
  margin-bottom: 10px;

  @media (max-width: 575.98px) {
    font-size: 14px;
  }
}

.site_btn {
  padding: 12px 30px;
  border-radius: 7px;
  font-size: 20px;
  background-color: var(--clr_DC2626);
  color: var(--clr_ffffff);
  border: none;
  display: inline-block;
  letter-spacing: 1px;
  transition: 0.5s;

  @media (max-width: 991.98px) {
    font-size: 18px;
    padding: 12px 20px;
  }

  &:hover {
    background-color: var(--clr_ffffff);
    color: var(--clr_DC2626);
  }

  &.dark {
    background-color: var(--clr_ffffff);
    color: var(--clr_DC2626);

    &:hover {
      background-color: var(--clr_DC2626);
      color: var(--clr_ffffff);
    }
  }
  &.light {
    background-color: var(--clr_000000);
    color: var(--clr_DC2626);

    &:hover {
      background-color: var(--clr_DC2626);
      color: var(--clr_000000);
    }
  }
  &.sm {
    font-size: 16px;
    padding: 10px 20px;
  }
}

#growth_chart {
  width: 100%;
  height: 400px;

  @media (max-width: 991.98px) {
    height: 350px;
  }

  @media (max-width: 767.98px) {
    height: 300px;
  }

  @media (max-width: 575.98px) {
    height: 250px;
  }
}

.percentageChartWrap {
  #percentageChart {
    max-width: 100%;
    width: 100%;
    height: 300px;
  }
}

.full_w_icon_btn .elementor-button,
.full_w_icon_btn .elementor-button-content-wrapper {
  width: 100% !important;
  justify-content: space-between !important;
}

.owl-theme .owl-dots,
.owl-theme .owl-nav {
  margin-top: 30px !important;
  display: flex;
  justify-content: center;

  @media (max-width: 575.98px) {
    margin-top: 10px !important;
  }
}

.owl-theme .owl-dot {
  opacity: 1;
}

.owl-carousel .owl-item img {
  display: inline-block;
}

.owl-theme .owl-dot span {
  background-color: var(--clr_ffffff) !important;
}

.owl-theme .owl-dot.active span {
  background-color: var(--clr_DC2626) !important;
}

.owl-theme .owl-dot:hover,
.owl-theme .owl-dot:focus {
  background-color: var(--clr_0f3d3a);
  background: transparent !important;
}

.owl-theme .owl-nav {
  gap: 10px;

  button {
    width: 45px;
    height: 30px;
    background-color: transparent !important;
    /* background-color: var(--clr_DC2626) !important; */
    color: var(--clr_ffffff) !important;
    transition: 0.35s;

    span {
      font-size: 20px;
      font-weight: 600;
      transition: 0.35s;
    }

    &:hover {
      /* background-color: var(--clr_ffffff) !important; */
      color: var(--clr_DC2626) !important;
    }
  }
}

.inherit_parent_color {
  color: inherit;
}

.icon_box_arrow {
  position: relative;

  .elementor-icon-box-title {
    padding-right: 30px;
  }

  &::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 20px;
    height: 20px;
    background: url("../images/arrow_icon.svg") no-repeat center / 20px;

    @media (max-width: 575.98px) {
      top: 10px;
    }
  }
}

.tm_cf_style {
  position: relative;
  padding: 20px;
  background-color: var(--clr_ffffff);
  border: 1px solid var(--clr_f2f5f1);
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;

  .input_wrap {
    margin-bottom: 20px;

    label,
    textarea,
    .form-control {
      display: block;
      font-size: 15px;
      color: var(--clr_000000);
    }

    textarea {
      height: 120px;
      min-height: 120px;
      resize: vertical;
    }

    .wpcf7-form-control-wrap {
      width: 100%;
      display: block;
      margin-top: 10px;
    }
  }

  .submit_wrap {
    [type="submit"] {
      text-shadow: unset;
      border: unset;
      font-weight: 600;
    }

    [type="submit"][disabled] {
      opacity: 0.7;
    }
  }

  .wpcf7-list-item {
    margin: 0;
  }
}

.mw-100 img {
  max-width: 100% !important;
}

.fs_60 {
  font-size: 60px;
  line-height: 1.1;

  @media (max-width: 991.98px) {
    font-size: 52px;
  }

  @media (max-width: 767.98px) {
    font-size: 38px;
  }

  @media (max-width: 575.98px) {
    font-size: 28px;
  }
}
.fs_72 {
  font-size: 72px;
  line-height: 1.1;

  @media (max-width: 991.98px) {
    font-size: 62px;
  }

  @media (max-width: 767.98px) {
    font-size: 42px;
  }

  @media (max-width: 575.98px) {
    font-size: 32px;
  }
}

.fs_36 {
  font-size: 36px;
  line-height: 1.2;

  @media (max-width: 991.98px) {
    font-size: 28px;
  }

  @media (max-width: 767.98px) {
    font-size: 24px;
  }

  @media (max-width: 575.98px) {
    font-size: 20px;
  }
}

.fs_24 {
  font-size: 24px;

  @media (max-width: 991.98px) {
    font-size: 22px;
  }

  @media (max-width: 767.98px) {
    font-size: 20px;
  }

  @media (max-width: 767.98px) {
    font-size: 18px;
  }
}

.fs_20 {
  font-size: 20px;

  @media (max-width: 991.98px) {
    font-size: 18px;
  }

  @media (max-width: 767.98px) {
    font-size: 17px;
  }
}

.fs_18 {
  font-size: 18px;

  @media (max-width: 767.98px) {
    font-size: 16px;
  }
}

.pt_120 {
  padding-top: 120px;

  @media (max-width: 1199.98px) {
    padding-top: 100px;
  }

  @media (max-width: 991.98px) {
    padding-top: 80px;
  }

  @media (max-width: 767.98px) {
    padding-top: 60px;
  }

  @media (max-width: 575.98px) {
    padding-top: 40px;
  }
}

.pb_120 {
  padding-bottom: 120px;

  @media (max-width: 1199.98px) {
    padding-bottom: 100px;
  }

  @media (max-width: 991.98px) {
    padding-bottom: 80px;
  }

  @media (max-width: 767.98px) {
    padding-bottom: 60px;
  }

  @media (max-width: 575.98px) {
    padding-bottom: 40px;
  }
}

.pt_100 {
  padding-top: 100px;

  @media (max-width: 991.98px) {
    padding-top: 80px;
  }

  @media (max-width: 767.98px) {
    padding-top: 60px;
  }

  @media (max-width: 575.98px) {
    padding-top: 40px;
  }
}

.pb_100 {
  padding-bottom: 100px;

  @media (max-width: 991.98px) {
    padding-bottom: 80px;
  }

  @media (max-width: 767.98px) {
    padding-bottom: 60px;
  }

  @media (max-width: 575.98px) {
    padding-bottom: 40px;
  }
}

.pt_40 {
  padding-top: 40px;

  @media (max-width: 991.98px) {
    padding-top: 30px;
  }

  @media (max-width: 767.98px) {
    padding-top: 20px;
  }
}

.pb_40 {
  padding-bottom: 40px;

  @media (max-width: 991.98px) {
    padding-bottom: 30px;
  }

  @media (max-width: 767.98px) {
    padding-bottom: 20px;
  }
}

.pt_30 {
  padding-top: 30px;

  @media (max-width: 991.98px) {
    padding-top: 20px;
  }

  @media (max-width: 767.98px) {
    padding-top: 15px;
  }
}

.pb_30 {
  padding-bottom: 30px;

  @media (max-width: 991.98px) {
    padding-bottom: 20px;
  }

  @media (max-width: 767.98px) {
    padding-bottom: 15px;
  }
}

.mw_750 {
  max-width: 750px;
}
.mw_1600 {
  max-width: 1600px;
}

.pl_60 {
  padding-left: 60px;
}

.text_white {
  color: var(--clr_ffffff);
}

.mt_20 {
  margin-top: 20px;

  @media (max-width: 575.98px) {
    margin-top: 10px;
  }
}

.mt_40 {
  margin-top: 40px;

  @media (max-width: 991.98px) {
    margin-top: 30px;
  }

  @media (max-width: 767.98px) {
    margin-top: 20px;
  }
}
.mb_40 {
  margin-bottom: 40px;

  @media (max-width: 991.98px) {
    margin-bottom: 30px;
  }

  @media (max-width: 767.98px) {
    margin-bottom: 20px;
  }
}

.mt_30 {
  margin-top: 30px;

  @media (max-width: 991.98px) {
    margin-top: 20px;
  }

  @media (max-width: 767.98px) {
    margin-top: 15px;
  }
}

.mb_30 {
  margin-bottom: 30px;

  @media (max-width: 991.98px) {
    margin-bottom: 20px;
  }

  @media (max-width: 767.98px) {
    margin-bottom: 15px;
  }
}

.mb_20 {
  margin-bottom: 20px;

  @media (max-width: 575.98px) {
    margin-bottom: 10px;
  }
}

.mb_10 {
  margin-bottom: 10px;

  @media (max-width: 575.98px) {
    margin-bottom: 7px;
  }
}

.mt_10 {
  margin-top: 10px;

  @media (max-width: 575.98px) {
    margin-top: 7px;
  }
}

.hero_section {
  .img_wrap {
    @media (max-width: 991.98px) {
      margin-bottom: 30px;
      display: flex;
      justify-content: center;
    }
  }

  .text_wrap {
    @media (max-width: 991.98px) {
      text-align: center;
    }
  }
}

.img_circle_anim {
  position: relative;
  border-radius: 50%;
  width: 350px;
  height: 350px;
  overflow: hidden;

  @media (max-width: 767.98px) {
    width: 300px;
    height: 300px;
  }

  @media (max-width: 575.98px) {
    width: 250px;
    height: 250px;
  }

  &::before,
  &::after {
    content: "";
    position: absolute;
    background: repeating-conic-gradient(
      from var(--x),
      var(--clr_DC2626),
      var(--clr_000000),
      var(--clr_000000),
      var(--clr_DC2626)
    );
    border-radius: 50%;
    animation: rotateAnim 3s linear infinite;
    z-index: -1;
  }
  &::before {
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: repeating-conic-gradient(
      from var(--x),
      var(--clr_DC2626),
      var(--clr_000000),
      var(--clr_000000),
      var(--clr_DC2626)
    );
  }
  &::after {
    top: 5px;
    left: 5px;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
    background: var(--clr_000000);
  }

  img {
    inset: 5px;
    width: calc(100% - 10px);
    height: calc(100% - 10px);
  }
}

@property --x {
  syntax: "<angle>";
  inherits: false;
  initial-value: 0deg;
}

@keyframes rotateAnim {
  0% {
    --x: 0deg;
  }

  100% {
    --x: 360deg;
  }
}

.cover {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.full_width_section {
  position: relative;
  background: linear-gradient(to right, rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.2)),
    var(--bg) no-repeat center / cover;
  box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
  display: flex;
  align-items: flex-end;
  border-top: 2px solid var(--clr_DC2626);
  border-bottom: 2px solid var(--clr_DC2626);

  min-height: 400px;
  padding: 30px;

  @media (max-width: 767.98px) {
    min-height: 250px;
    padding: 15px;
  }
}

.featured_post .full_width_section,
.single_post .full_width_section {
  border-radius: 20px;
  border: none;
  @media (max-width: 767.98px) {
    min-height: 300px;
  }
}

.lines {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  pointer-events: none;
}

.lines span {
  position: absolute;
  width: 100%;
  height: 2px;
  background: linear-gradient(
    90deg,
    transparent,
    var(--clr_ffffff),
    transparent
  );
}

.lines span:nth-child(1) {
  top: 0;
  transform: translateX(-100%);
  animation: line1 2s linear infinite;
  animation-delay: 0s;
}

@keyframes line1 {
  0% {
    transform: translateX(-100%);
  }

  100% {
    transform: translateX(100%);
  }
}

.lines span:nth-child(2) {
  transform: rotate(90deg);
  transform-origin: top right;
  /* animation: line2 1s linear infinite; */
  animation-delay: 1s;
  display: none;
}

@keyframes line2 {
  0% {
    transform: rotate(90deg) translateX(0%);
  }

  100% {
    transform: rotate(90deg) translateX(100%);
  }
}

.lines span:nth-child(3) {
  bottom: 0;
  transform: translateX(100%) rotate(180deg);
  animation: line3 2s linear infinite;
  animation-delay: 1s;
}

@keyframes line3 {
  0% {
    transform: translateX(100%) rotate(180deg);
  }

  100% {
    transform: translateX(-100%) rotate(180deg);
  }
}

.lines span:nth-child(4) {
  bottom: 0%;
  transform: rotate(-90deg) translateX(-70%);
  transform-origin: left top;
  animation: line4 1s linear infinite;
  display: none;
}

@keyframes line4 {
  0% {
    transform: rotate(-90deg) translateX(-100%);
  }

  100% {
    transform: rotate(-90deg) translateX(100%);
  }
}

.row:has(.card_video_post) {
  row-gap: 24px;
}

.owl-stage {
  display: flex;
}

.owl-item {
  display: flex;
  flex: 1 0 auto;
}

.card_video_post {
  height: 100%;
  display: flex;
  flex-direction: column;
  border: 1px solid #334155;
  border-radius: 15px;
  background-color: var(--clr_000000);
  overflow: hidden;

  &.full_width {
    height: 500px;

    @media (max-width: 991.98px) {
      height: 400px;
    }

    @media (max-width: 767.98px) {
      height: 300px;
    }

    @media (max-width: 575.98px) {
      height: 200px;
    }

    .thumb_wrap {
      height: 100%;
    }
  }

  .thumb_wrap {
    position: relative;
    height: 200px;
    position: relative;
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;

    .play_video {
      width: 55px;
      height: 55px;
      border-radius: 50%;
      overflow: hidden;
      background-color: var(--clr_000000);
      opacity: 0.85;
      display: flex;
      align-items: center;
      justify-content: center;
      animation: ripple 1s linear infinite;
      border: unset;

      i {
        color: var(--clr_ffffff);
      }
    }
  }

  .duration_wrap {
    position: absolute;
    border-radius: 0;
    border-top-right-radius: 10px;
  }

  .text_wrap {
    padding: 20px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;

    p {
      margin-top: 5px;
      font-size: 14px;
      color: var(--clr_9CA3AF);
    }

    .btm_info {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding-top: 5px;
      margin-top: auto;

      div {
        display: inline-flex;
        align-items: center;
        max-width: 50%;
        gap: 5px;

        i {
          font-size: 13px;
          color: var(--clr_9CA3AF);
        }

        span {
          font-size: 13px;
          color: var(--clr_9CA3AF);
        }
      }
    }
  }
}

.duration_wrap {
  position: relative;
  bottom: 0;
  left: 0;
  padding: 3px;
  background: var(--clr_000000);
  color: var(--clr_ffffff);
  font-size: 12px;
  text-transform: lowercase;
  text-align: center;
  /* border-top-right-radius: 10px; */
  border-radius: 10px;
}

@keyframes ripple {
  0% {
    -webkit-box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.3),
      0 0 0 4px rgba(255, 255, 255, 0.3), 0 0 0 8px rgba(255, 255, 255, 0.3),
      0 0 0 12px rgba(255, 255, 255, 0.3);
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.3),
      0 0 0 4px rgba(255, 255, 255, 0.3), 0 0 0 8px rgba(255, 255, 255, 0.3),
      0 0 0 12px rgba(255, 255, 255, 0.3);
  }

  100% {
    -webkit-box-shadow: 0 0 0 4px rgba(255, 255, 255, 0.3),
      0 0 0 8px rgba(255, 255, 255, 0.25), 0 0 0 12px rgba(255, 255, 255, 0.2),
      0 0 0 30px rgba(255, 255, 255, 0);
    box-shadow: 0 0 0 4px rgba(255, 255, 255, 0.3),
      0 0 0 8px rgba(255, 255, 255, 0.25), 0 0 0 12px rgba(255, 255, 255, 0.2),
      0 0 0 30px rgba(255, 255, 255, 0);
  }
}

.row:has(.card_blog_post) {
  row-gap: 24px;
}

.card_blog_post {
  .img_wrap {
    height: 260px;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 15px;

    @media (max-width: 991.98px) {
      height: 240px;
    }
    @media (max-width: 767.98px) {
      height: 220px;
    }
  }

  .text_wrap {
    p {
      margin-top: 5px;
      font-size: 16px;
      color: var(--clr_9CA3AF);

      @media (max-width: 767.98px) {
        font-size: 14px;
      }
    }

    .read_more {
      font-size: 18px;
      color: var(--clr_DC2626);
      font-weight: 600;
      display: inline-flex;
      align-items: center;
      gap: 7px;
      transition: 0.35s;

      &:hover {
        color: var(--clr_ffffff);
        gap: 12px;

        i {
          transform: translateX(3px);
        }
      }

      i {
        font-size: 16px;
        line-height: 1;
        margin-top: -2px;
      }
    }
  }
}
.post-categories {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin-bottom: 15px;
  @media (max-width: 575.98px) {
    margin-bottom: 10px;
  }

  li {
    font-size: 14px;
    color: var(--clr_ffffff);
    background-color: var(--clr_334155);
    padding: 4px 10px;
    border-radius: 5px;

    @media (max-width: 767.98px) {
      font-size: 12px;
      padding: 3px 8px;
    }
  }
}
/* Loop colors if there are more than 8 categories */
.filter_posts_grid .blog_posts_row > div:nth-child(9n + 1) .post-categories li {
  background-color: #3b82f6;
}
.filter_posts_grid .blog_posts_row > div:nth-child(9n + 2) .post-categories li {
  background-color: #a855f7;
}
.filter_posts_grid .blog_posts_row > div:nth-child(9n + 3) .post-categories li {
  background-color: #ef4444;
}
.filter_posts_grid .blog_posts_row > div:nth-child(9n + 4) .post-categories li {
  background-color: #f97316;
}
.filter_posts_grid .blog_posts_row > div:nth-child(9n + 5) .post-categories li {
  background-color: #6366f1;
}
.filter_posts_grid .blog_posts_row > div:nth-child(9n + 6) .post-categories li {
  background-color: #ec4899;
}
.filter_posts_grid .blog_posts_row > div:nth-child(9n + 7) .post-categories li {
  background-color: #22c55e;
}
.filter_posts_grid .blog_posts_row > div:nth-child(9n + 8) .post-categories li {
  background-color: #eab308;
}

.no_post_found {
  text-align: center;
  color: var(--clr_DC2626);
}

.find_your_workout {
  border-top: 1px solid var(--clr_334155);
}

.find_your_workout {
}
.filter_btns {
  form {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;

    @media (max-width: 991.98px) {
      grid-template-columns: repeat(2, 1fr);
      row-gap: 15px;
    }

    @media (max-width: 575.98px) {
      gap: 10px;
    }

    label {
      display: block;
      font-size: 16px;
      font-weight: 600;
      color: var(--clr_ffffff);
      margin-bottom: 5px;

      @media (max-width: 575.98px) {
        font-size: 14px;
      }
    }

    .filter_inputs,
    .filter_select {
      input,
      select {
        width: 100%;
        font-size: 16px;
        font-weight: 400;
        color: var(--clr_000000);
        background-color: var(--clr_ffffff);
        border-radius: 5px;
        padding: 10px;
        border: none;
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;

        @media (max-width: 575.98px) {
          font-size: 14px;
        }
      }
    }
  }
  &.schedule_logs_filter {
    form {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      gap: 24px;

      @media (max-width: 991.98px) {
        /* grid-template-columns: repeat(2, 1fr); */
        row-gap: 15px;
      }

      @media (max-width: 575.98px) {
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
      }
    }
  }
}

.ajax_total_pages {
  display: none;
}

.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  background-color: rgba(0, 0, 0, 0.85);
  padding: 50px 20px;
  z-index: 9999;
  display: none;

  &.active {
    display: flex;
  }

  .spinner {
    width: 72px;
    height: 72px;
    border-radius: 50%;
    border: 11.5px solid;
    border-color: #dc2626 #0000;
    animation: spinner-0tkp9a 1s infinite;
  }
}

@keyframes spinner-0tkp9a {
  to {
    transform: rotate(0.5turn);
  }
}

.workout_details {
  ul {
    display: flex;
    flex-wrap: wrap;

    li {
      width: 50%;
      flex-grow: 1;
      background-color: var(--clr_000000);
      border: 1px solid var(--clr_334155);
      padding: 15px;
      display: flex;
      justify-content: space-between;
      align-items: center;

      @media (max-width: 767.98px) {
        width: 100%;
      }

      span {
        font-size: 16px;
        color: var(--clr_D1D5DB);

        @media (max-width: 767.98px) {
          font-size: 14px;
        }

        &.value {
          color: var(--clr_ffffff);
          font-weight: 600;
        }
      }
    }
  }
}

.post_content {
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  ul,
  ol {
    margin-top: 30px;
    margin-bottom: 10px;
    color: var(--clr_ffffff);

    @media (max-width: 767.98px) {
      margin-top: 20px;
    }
  }

  p {
    color: var(--clr_D1D5DB);
  }

  h1 {
    font-size: 36px;

    @media (max-width: 767.98px) {
      font-size: 32px;
    }

    @media (max-width: 575.98px) {
      font-size: 28px;
    }
  }

  h2 {
    font-size: 32px;

    @media (max-width: 767.98px) {
      font-size: 28px;
    }

    @media (max-width: 575.98px) {
      font-size: 24px;
    }
  }

  h3 {
    font-size: 28px;

    @media (max-width: 767.98px) {
      font-size: 24px;
    }

    @media (max-width: 575.98px) {
      font-size: 20px;
    }
  }

  h4 {
    font-size: 24px;

    @media (max-width: 767.98px) {
      font-size: 20px;
    }

    @media (max-width: 575.98px) {
      font-size: 18px;
    }
  }

  h5 {
    font-size: 22px;

    @media (max-width: 767.98px) {
      font-size: 20px;
    }

    @media (max-width: 575.98px) {
      font-size: 18px;
    }
  }

  h6 {
    font-size: 20px;

    @media (max-width: 767.98px) {
      font-size: 18px;
    }

    @media (max-width: 575.98px) {
      font-size: 16px;
    }
  }

  ul,
  ol {
    margin-bottom: 0;
    padding-left: 20px;

    li {
      list-style: unset;
      font-size: 16px;
      line-height: 1.7;
      margin-bottom: 10px;
      color: var(--clr_D1D5DB);

      @media (max-width: 575.98px) {
        font-size: 14px;
        margin-bottom: 5px;
      }
    }
  }

  img {
    margin: 20px 0;
    border-radius: 10px;

    @media (max-width: 575.98px) {
      margin: 10px 0;
    }
  }

  blockquote {
    padding: 20px;
    background-color: var(--clr_000000);
    border-radius: 10px;

    :is(h1, h2, h3, h4, h5, h6, ul, ol) {
      margin-top: 0;
    }

    :is(h1, h2, h3, h4, h5, h6) {
      margin-bottom: 10px;
    }
  }
}
.featured_tag {
  display: inline-block;
  padding: 5px 15px;
  background-color: var(--clr_ffffff);
  color: var(--clr_000000);
  border-radius: 20px;
  margin-bottom: 20px;
  font-size: 14px;
  font-weight: 600;
  letter-spacing: 1px;
}
.filter_posts_grid {
  .posts_filter_btns {
    margin-bottom: 40px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
    @media (max-width: 767.98px) {
      margin-bottom: 20px;
    }
    button {
      font-size: 18px;
      padding: 10px 20px;
      border-radius: 7px;
      background-color: var(--clr_101625);
      color: var(--clr_ffffff);
      border: 1px solid var(--clr_334155);
      letter-spacing: 1px;
      transition: 0.35s;

      &.active,
      &:hover {
        background-color: var(--clr_DC2626);
        border-color: var(--clr_DC2626);
        color: var(--clr_ffffff);
      }

      @media (max-width: 575.98px) {
        font-size: 16px;
        padding: 8px 15px;
      }
    }
  }
  .card_blog_post {
    border-radius: 20px;
    height: 100%;
    background-color: var(--clr_1f1f1f);
    .img_wrap {
      height: 230px;
      margin-bottom: 0;
    }
    .text_wrap {
      padding: 20px;
      @media (max-width: 575.98px) {
        padding: 15px;
      }
    }
  }
}
.single_post {
  .post_header {
    .post_meta {
      display: flex;
      flex-wrap: wrap;
      gap: 15px;

      span {
        font-size: 14px;
        color: var(--clr_D1D5DB);

        i {
          font-size: 13px;
        }
      }
    }
  }
  .post_body {
    .post_content {
      padding-right: 30px;
      @media (max-width: 991.98px) {
        padding-right: 0;
        margin-bottom: 30px;
      }
    }
    .sidebar {
      > div {
        background-color: var(--clr_1f1f1f);
        padding: 15px;
        border-radius: 10px;
      }

      .author_info {
        display: flex;
        align-items: center;
        gap: 15px;

        .img_wrap {
          img {
            min-width: 70px;
            width: 70px;
            height: 70px;
            border-radius: 50%;
          }
        }
      }
      .share_this_post {
        .social_links {
          display: flex;
          gap: 15px;
          a {
            font-size: 20px;
            color: var(--clr_ffffff);
            transition: 0.35s;
            &:hover {
              color: var(--clr_DC2626);
            }
          }
        }
      }
      .related_post {
        display: flex;
        align-items: center;
        gap: 15px;
        margin-bottom: 15px;

        .post_img {
          img {
            width: 80px !important;
            height: 80px !important;
            border-radius: 10px;
          }
        }
        .post_title {
          a {
            font-size: 14px;
            font-family: var(--ff_nunito);
          }
        }
      }
    }
  }
}

.table_wrapper {
  overflow-x: auto;
}
.table_wrapper::-webkit-scrollbar {
  height: 15px;
  background-color: var(--clr_000000);
}

.table_wrapper::-webkit-scrollbar-thumb {
  background-image: -webkit-gradient(
    linear,
    left bottom,
    left top,
    color-stop(0.44, var(--clr_DC2626)),
    color-stop(0.72, var(--clr_DC2626)),
    color-stop(0.86, var(--clr_DC2626))
  );
}

.table_wrapper::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: var(--clr_ffffff);
}

.table_styled {
  width: 100%;
  border-collapse: collapse;
}

.table_styled th,
td {
  padding: 10px;
  text-align: center;
  vertical-align: middle;
  font-size: 14px;
}
.table_styled.events_table td,
.table_styled.events_table td p {
  color: var(--clr_000000);
  font-size: 13px;
}

.table_styled th {
  font-size: 18px;
  border: 1px solid var(--clr_9CA3AF);
  background-color: var(--clr_000000);
  color: var(--clr_ffffff);
  vertical-align: middle;
  padding: 20px 10px;
  font-family: var(--ff_bebas);
  font-weight: 400;
  letter-spacing: 1px;
}
.table_styled th:nth-child(1),
.table_styled td:nth-child(1) {
  min-width: 120px;
}
.table_styled th:nth-child(2),
.table_styled td:nth-child(2) {
  min-width: 120px;
}
.table_styled.events_table th:nth-child(2),
.table_styled.events_table td:nth-child(2) {
  min-width: 200px;
}
.table_styled th:nth-child(3),
.table_styled td:nth-child(3) {
  min-width: 120px;
}
.table_styled.events_table th:nth-child(2),
.table_styled.events_table td:nth-child(2) {
  min-width: 200px;
}
.table_styled.events_table th:nth-child(3),
.table_styled.events_table td:nth-child(3) {
  min-width: 240px;
}
.table_styled th:nth-child(4),
.table_styled td:nth-child(4) {
  min-width: 280px;
}
.table_styled th:nth-child(5),
.table_styled td:nth-child(5) {
  min-width: 80px;
}

.table_styled.events_table th:nth-child(5),
.table_styled.events_table td:nth-child(5) {
  min-width: 300px;
  word-break: break-all;
}
.table_styled th:nth-child(6),
.table_styled td:nth-child(6) {
  min-width: 80px;
}
.table_styled.events_table th:nth-child(6),
.table_styled.events_table td:nth-child(6) {
  min-width: 100px;
}
.table_styled th:nth-child(7),
.table_styled td:nth-child(7) {
  min-width: 120px;
}
.table_styled th:nth-child(8),
.table_styled td:nth-child(8) {
  min-width: 120px;
}
.table_styled th:nth-child(9),
.table_styled td:nth-child(9) {
  min-width: 200px;
}
.table_styled th:nth-child(10),
.table_styled td:nth-child(10) {
  min-width: 280px;
}
.table_styled th:nth-child(11),
.table_styled td:nth-child(11) {
  min-width: 120px;
}

.table_styled td {
  border: 1px solid var(--clr_334155);
  background-color: var(--clr_ffffff);
  color: var(--clr_000000);
  font-weight: 600;
  padding: 15px;
}
.schedule_filtered_content:nth-child(odd) .table_styled td {
  background-color: #c6ffd4;
}
.table_styled td .card_video_post {
  height: 120px;
}
.table_styled td .card_video_post .play_video {
  width: 50px;
  height: 50px;
}

.table_styled input[type="text"],
.table_styled textarea {
  min-width: 200px;
  width: 200px;
  background-color: var(--clr_D1D5DB);
  color: var(--clr_000000);
  border: none;
  padding: 5px;
  width: 100%;
  box-sizing: border-box;
}

.table_styled textarea {
  min-height: 70px;
  resize: vertical;
}

.table_styled .save_btn {
  border: none;
  padding: 5px 20px;
  cursor: pointer;
}
.table_styled .save_btn:hover {
  background-color: var(--clr_000000);
  color: var(--clr_ffffff);
}
.table_styled a,
.table_styled a p {
  color: var(--bs-blue) !important;
  font-family: var(--ff_nunito) !important;
}

/* Responsive Styles */
@media screen and (max-width: 768px) {
  .table_styled,
  .table_styled th,
  .table_styled td {
    font-size: 12px;
  }

  .table_styled th,
  .table_styled td {
    padding: 8px;
  }

  .table_styled .save_btn {
    padding: 8px 15px;
    font-size: 12px;
  }
}

.login_page_form_wrap,
.register_page_form_wrap {
  position: relative;
  background-color: var(--clr_000000);
  max-width: 650px;
  width: 100%;
  margin: 0 auto;
  padding: 40px;
  @media screen and (max-width: 768px) {
    padding: 25px;
  }

  &::before,
  &::after {
    content: "";
    position: absolute;
    width: 100px;
    height: 100px;
    border: 5px solid var(--clr_DC2626);
    pointer-events: none;
  }
  &::before {
    top: 0;
    left: 0;
    border-width: 5px 0 0 5px;
  }
  &::after {
    bottom: 0;
    right: 0;
    border-width: 0 5px 5px 0;
  }
}
.flex_head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}
